Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000133 [cparser] parser major always 2014-02-09 06:42 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000133: cparser: parser.c:1839: descend_into_subtype: Assertion `is_type_array(top_type)' failed.
Description On valid and invalid code such assert is triggered.
Additional Information cparser: 854a4b56cfdff9905a1f31a0c47ca60cc00f54c7
libfirm: 0ca99504e996f5a032ebfab11846676d742f3758
Tags No tags attached.
Attached Files c file icon 000.c [^] (161 bytes) 2014-02-09 06:42

- Relationships

-  Notes
(0000203)
Matze (administrator)
2014-02-13 13:56

turned out to be the same as firm-testsuite/C/should_fail/offsetof2.c.

Fixed in cparser 71ee398cc1348a5bb267f9b22a643254b61c8e13

- Issue History
Date Modified Username Field Change
2014-02-09 06:42 luzero New Issue
2014-02-09 06:42 luzero File Added: 000.c
2014-02-13 13:56 Matze Note Added: 0000203
2014-02-13 13:56 Matze Assigned To => Matze
2014-02-13 13:56 Matze Status new => resolved
2014-02-13 13:56 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker